add_subdirectory(deps)

add_subdirectory(core)
add_subdirectory(scene)
add_subdirectory(system)
add_subdirectory(io)

#add_subdirectory(ui)
add_subdirectory(scripting)
add_subdirectory(visual)
add_subdirectory(geometry)

add_subdirectory(engine)
